Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.mock
Class MockExternalContext

    java.lang.Object
      javax.faces.context.ExternalContext
          org.jboss.seam.mock.MockExternalContext

    public class MockExternalContext

extends javax.faces.context.ExternalContext

Version:
  $Revision: 13963 $
Author:
  Gavin King, Thomas Heute

Field Summary

Fields inherited from class javax.faces.context.ExternalContext
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`MockExternalContext()`
`MockExternalContext(javax.servlet.http.HttpServletRequest request)`
`MockExternalContext(javax.servlet.ServletContext context)`
`MockExternalContext(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request)`
`MockExternalContext(javax.servlet.ServletContext context, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`MockExternalContext(javax.servlet.ServletContext context, javax.servlet.http.HttpSession session)`

Method Summary
`void` | `dispatch(String url)`
`String` | `encodeActionURL(String url)`
`String` | `encodeNamespace(String ns)`
`String` | `encodeResourceURL(String url)`
`protected String` | `encodeURL(String url)` Attempt to encode the URL, falling back to an identity function if the response has not been set on this mock context.
`Map` | `getApplicationMap()`
`String` | `getAuthType()`
`Object` | `getContext()`
`String` | `getInitParameter(String name)`
`Map` | `getInitParameterMap()`
`String` | `getRemoteUser()`
`Object` | `getRequest()`
`String` | `getRequestContextPath()`
`Map` | `getRequestCookieMap()`
`Map` | `getRequestHeaderMap()`
`Map` | `getRequestHeaderValuesMap()`
`Locale` | `getRequestLocale()`
`Iterator` | `getRequestLocales()`
`Map` | `getRequestMap()`
`Map` | `getRequestParameterMap()`
`Iterator` | `getRequestParameterNames()`
`Map` | `getRequestParameterValuesMap()`
`String` | `getRequestPathInfo()`
`String` | `getRequestServletPath()`
`URL` | `getResource(String name)`
`InputStream` | `getResourceAsStream(String name)`
`Set` | `getResourcePaths(String name)`
`Object` | `getResponse()`
`String` | `getResponseContentType()`
`Object` | `getSession(boolean create)`
`Map` | `getSessionMap()`
`Principal` | `getUserPrincipal()`
`boolean` | `isUserInRole(String role)`
`void` | `log(String t)`
`void` | `log(String message, Throwable t)`
`void` | `redirect(String url)`
`void` | `setRequest(Object myrequest)`

Methods inherited from class javax.faces.context.ExternalContext
`addResponseCookie, addResponseHeader, encodeBookmarkableURL, encodePartialActionURL, encodeRedirectURL, getContextName, getFlash, getMimeType, getRealPath, getRequestCharacterEncoding, getRequestContentLength, getRequestContentType, getRequestScheme, getRequestServerName, getRequestServerPort, getResponseBufferSize, getResponseCharacterEncoding, getResponseOutputStream, getResponseOutputWriter, getSessionMaxInactiveInterval, invalidateSession, isResponseCommitted, isSecure, responseFlushBuffer, responseReset, responseSendError, setRequestCharacterEncoding, setResponse, setResponseBufferSize, setResponseCharacterEncoding, setResponseContentLength, setResponseContentType, setResponseHeader, setResponseStatus, setSessionMaxInactiveInterval`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockExternalContext

    public MockExternalContext()

### MockExternalContext

    public MockExternalContext(javax.servlet.ServletContext context)

### MockExternalContext

    public MockExternalContext(javax.servlet.ServletContext context,
                               javax.servlet.http.HttpSession session)

### MockExternalContext

    public MockExternalContext(javax.servlet.ServletContext context,
                               javax.servlet.http.HttpServletRequest request)

### MockExternalContext

    public MockExternalContext(javax.servlet.ServletContext context,
                               javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response)

### MockExternalContext

    public MockExternalContext(javax.servlet.http.HttpServletRequest request)

Method Detail

### dispatch

    public void dispatch(String url)
                  throws IOException

  Specified by:
    `dispatch` in class `javax.faces.context.ExternalContext`
  Throws:
    `IOException`

### encodeActionURL

    public String encodeActionURL(String url)

  Specified by:
    `encodeActionURL` in class `javax.faces.context.ExternalContext`

### encodeNamespace

    public String encodeNamespace(String ns)

  Specified by:
    `encodeNamespace` in class `javax.faces.context.ExternalContext`

### encodeResourceURL

    public String encodeResourceURL(String url)

  Specified by:
    `encodeResourceURL` in class `javax.faces.context.ExternalContext`

### getApplicationMap

    public Map getApplicationMap()

  Specified by:
    `getApplicationMap` in class `javax.faces.context.ExternalContext`

### getAuthType

    public String getAuthType()

  Specified by:
    `getAuthType` in class `javax.faces.context.ExternalContext`

### getContext

    public Object getContext()

  Specified by:
    `getContext` in class `javax.faces.context.ExternalContext`

### getInitParameter

    public String getInitParameter(String name)

  Specified by:
    `getInitParameter` in class `javax.faces.context.ExternalContext`

### getInitParameterMap

    public Map getInitParameterMap()

  Specified by:
    `getInitParameterMap` in class `javax.faces.context.ExternalContext`

### getRemoteUser

    public String getRemoteUser()

  Specified by:
    `getRemoteUser` in class `javax.faces.context.ExternalContext`

### getRequest

    public Object getRequest()

  Specified by:
    `getRequest` in class `javax.faces.context.ExternalContext`

### getRequestContextPath

    public String getRequestContextPath()

  Specified by:
    `getRequestContextPath` in class `javax.faces.context.ExternalContext`

### getRequestCookieMap

    public Map getRequestCookieMap()

  Specified by:
    `getRequestCookieMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderMap

    public Map getRequestHeaderMap()

  Specified by:
    `getRequestHeaderMap` in class `javax.faces.context.ExternalContext`

### getRequestHeaderValuesMap

    public Map getRequestHeaderValuesMap()

  Specified by:
    `getRequestHeaderValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestLocale

    public Locale getRequestLocale()

  Specified by:
    `getRequestLocale` in class `javax.faces.context.ExternalContext`

### getRequestLocales

    public Iterator getRequestLocales()

  Specified by:
    `getRequestLocales` in class `javax.faces.context.ExternalContext`

### getRequestMap

    public Map getRequestMap()

  Specified by:
    `getRequestMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterMap

    public Map getRequestParameterMap()

  Specified by:
    `getRequestParameterMap` in class `javax.faces.context.ExternalContext`

### getRequestParameterNames

    public Iterator getRequestParameterNames()

  Specified by:
    `getRequestParameterNames` in class `javax.faces.context.ExternalContext`

### getRequestParameterValuesMap

    public Map getRequestParameterValuesMap()

  Specified by:
    `getRequestParameterValuesMap` in class `javax.faces.context.ExternalContext`

### getRequestPathInfo

    public String getRequestPathInfo()

  Specified by:
    `getRequestPathInfo` in class `javax.faces.context.ExternalContext`

### getRequestServletPath

    public String getRequestServletPath()

  Specified by:
    `getRequestServletPath` in class `javax.faces.context.ExternalContext`

### getResource

    public URL getResource(String name)
                    throws MalformedURLException

  Specified by:
    `getResource` in class `javax.faces.context.ExternalContext`
  Throws:
    `MalformedURLException`

### getResourceAsStream

    public InputStream getResourceAsStream(String name)

  Specified by:
    `getResourceAsStream` in class `javax.faces.context.ExternalContext`

### getResourcePaths

    public Set getResourcePaths(String name)

  Specified by:
    `getResourcePaths` in class `javax.faces.context.ExternalContext`

### getResponse

    public Object getResponse()

  Specified by:
    `getResponse` in class `javax.faces.context.ExternalContext`

### getSession

    public Object getSession(boolean create)

  Specified by:
    `getSession` in class `javax.faces.context.ExternalContext`

### getSessionMap

    public Map getSessionMap()

  Specified by:
    `getSessionMap` in class `javax.faces.context.ExternalContext`

### getUserPrincipal

    public Principal getUserPrincipal()

  Specified by:
    `getUserPrincipal` in class `javax.faces.context.ExternalContext`

### isUserInRole

    public boolean isUserInRole(String role)

  Specified by:
    `isUserInRole` in class `javax.faces.context.ExternalContext`

### log

    public void log(String message,
                    Throwable t)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### log

    public void log(String t)

  Specified by:
    `log` in class `javax.faces.context.ExternalContext`

### redirect

    public void redirect(String url)
                  throws IOException

  Specified by:
    `redirect` in class `javax.faces.context.ExternalContext`
  Throws:
    `IOException`

### setRequest

    public void setRequest(Object myrequest)

  Overrides:
    `setRequest` in class `javax.faces.context.ExternalContext`

### getResponseContentType

    public String getResponseContentType()

  Overrides:
    `getResponseContentType` in class `javax.faces.context.ExternalContext`
  Since:
    1.2

### encodeURL

    protected String encodeURL(String url)

  Attempt to encode the URL, falling back to an identity function if the response has not been set on this mock context. This functionality is needed in order for the ExceptionFilter to maintain the session id when url rewriting is used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.